Page MenuHomePhabricator

Duplicate entry 'ext.uls.pt-vector|en' for key 'PRIMARY'
Closed, ResolvedPublic

Description

Error
Duplicate entry 'ext.uls.pt-vector|en' for key 'PRIMARY' (10.64.48.35)

RuntimeException

#0 /srv/mediawiki/php-1.35.0-wmf.20/includes/libs/rdbms/database/Database.php(1587): Wikimedia\Rdbms\Database->getQueryExceptionAndLog(string, integer, string, string)
#1 /srv/mediawiki/php-1.35.0-wmf.20/includes/libs/rdbms/database/Database.php(1166): Wikimedia\Rdbms\Database->reportQueryError(string, integer, string, string, boolean)
#2 /srv/mediawiki/php-1.35.0-wmf.20/includes/libs/rdbms/database/Database.php(2178): Wikimedia\Rdbms\Database->query(string, string)
#3 /srv/mediawiki/php-1.35.0-wmf.20/includes/libs/rdbms/database/DBConnRef.php(68): Wikimedia\Rdbms\Database->insert(string, array, string)
#4 /srv/mediawiki/php-1.35.0-wmf.20/includes/libs/rdbms/database/DBConnRef.php(378): Wikimedia\Rdbms\DBConnRef->__call(string, array)
#5 /srv/mediawiki/php-1.35.0-wmf.20/includes/resourceloader/dependencystore/SqlModuleDependencyStore.php(118): Wikimedia\Rdbms\DBConnRef->insert(string, array, string)
#6 /srv/mediawiki/php-1.35.0-wmf.20/includes/resourceloader/ResourceLoader.php(590): Wikimedia\DependencyStore\SqlModuleDependencyStore->storeMulti(string, array, integer)
#7 /srv/mediawiki/php-1.35.0-wmf.20/includes/deferred/MWCallableUpdate.php(38): ResourceLoader->{closure}()
#8 /srv/mediawiki/php-1.35.0-wmf.20/includes/deferred/DeferredUpdates.php(417): MWCallableUpdate->doUpdate()
#9 /srv/mediawiki/php-1.35.0-wmf.20/includes/deferred/DeferredUpdates.php(296): DeferredUpdates::attemptUpdate(MWCallableUpdate, Wikimedia\Rdbms\LBFactoryMulti)
#10 /srv/mediawiki/php-1.35.0-wmf.20/includes/deferred/DeferredUpdates.php(233): DeferredUpdates::run(MWCallableUpdate, Wikimedia\Rdbms\LBFactoryMulti, Monolog\Logger, BufferingStatsdDataFactory, string)
#11 /srv/mediawiki/php-1.35.0-wmf.20/includes/deferred/DeferredUpdates.php(150): DeferredUpdates::handleUpdateQueue(array, string, integer)
#12 /srv/mediawiki/php-1.35.0-wmf.20/includes/MediaWiki.php(1057): DeferredUpdates::doUpdates(string)
#13 /srv/mediawiki/php-1.35.0-wmf.20/includes/MediaWiki.php(837): MediaWiki->restInPeace()
#14 /srv/mediawiki/php-1.35.0-wmf.20/includes/MediaWiki.php(846): MediaWiki->{closure}()
#15 /srv/mediawiki/php-1.35.0-wmf.20/load.php(51): MediaWiki->doPostOutputShutdown()
#16 /srv/mediawiki/w/load.php(3): require(string)
#17 {main}
Impact

This means module versioning is broken and causes changes to sub-resources (such as icons and LESS-imports) to no longer be considered. This is a regression from a recent refactor that we failed to spot during beta testing and must be fixed prior to the train rolling forward.

Event Timeline

aaron created this task.Feb 18 2020, 11:02 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 18 2020, 11:02 PM

Change 573005 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/core@master] resourceloader: fix SqlDependencyModuleStore::setMulti() to use upsert()

https://gerrit.wikimedia.org/r/573005

Jdforrester-WMF triaged this task as Unbreak Now! priority.Feb 18 2020, 11:16 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Train blocker -> UBN!

Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptFeb 18 2020, 11:16 PM
Krinkle updated the task description. (Show Details)

Change 573339 had a related patch set uploaded (by Krinkle; owner: Aaron Schulz):
[mediawiki/core@wmf/1.35.0-wmf.20] resourceloader: fix SqlDependencyModuleStore::setMulti() to use upsert()

https://gerrit.wikimedia.org/r/573339

Krinkle moved this task from Inbox to Doing on the Performance-Team board.Feb 19 2020, 6:42 PM

Change 573005 merged by jenkins-bot:
[mediawiki/core@master] resourceloader: fix SqlDependencyModuleStore::setMulti() to use upsert()

https://gerrit.wikimedia.org/r/573005

Change 573339 merged by jenkins-bot:
[mediawiki/core@wmf/1.35.0-wmf.20] resourceloader: fix SqlDependencyModuleStore::setMulti() to use upsert()

https://gerrit.wikimedia.org/r/573339

Mentioned in SAL (#wikimedia-operations) [2020-02-19T19:11:53Z] <jforrester@deploy1001> Synchronized php-1.35.0-wmf.20/includes/resourceloader/dependencystore/SqlModuleDependencyStore.php: T245570 resourceloader: fix SqlDependencyModuleStore::setMulti() to use upsert() (duration: 01m 01s)

Jdforrester-WMF closed this task as Resolved.Feb 19 2020, 7:13 PM

Deployed:

Thank you!

Unknown Object (User) updated the task description. (Show Details)Feb 21 2020, 10:17 PM
Reedy updated the task description. (Show Details)Feb 21 2020, 10:24 PM

Change 575293 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/core@master] installer: Write to wgLogos, not wgLogo

https://gerrit.wikimedia.org/r/575293